# draugr.opencv_utilities.transformation.cv2_transforms.CV2SwapChannels

class draugr.opencv_utilities.transformation.cv2_transforms.CV2SwapChannels(swaps: Tuple [ Union [ int , float ], Union [ int , float ], Union [ int , float ]])

  Bases: `object`

  Transforms a tensorized image by swapping the channels in the order specified in the swap tuple. Args: swaps (int triple): final order of channels eg: (2, 1, 0)

  __init__(swaps: Tuple [ Union [ int , float ], Union [ int , float ], Union [ int , float ]])

  Methods

  `__init__`(swaps) |